Quality Management
Get a specific quality scorecard
GET /quality/scorecard/{id}
GET /quality/scorecard/{id}
Retrieve full details of a quality scorecard by ID
Path parameters
idintegerpathrequiredScorecard ID
Responses
200 — Successful operation
Response Example
{
"id": 1,
"baseId": 1,
"revision": 1,
"name": "Junior agent standard review",
"state": "active",
"categoryCount": 3,
"categories": [
{
"categoryId": 1,
"label": "string",
"order": 1,
"criteria": [
{
"id": 1,
"label": "string",
"description": "string",
"maxPoints": 1,
"scoringType": "metNotMet",
"autoGenerateByAi": true,
"assessmentPrompt": "string",
"makeOrBreakForCategory": true,
"makeOrBreakForAssessment": true
}
]
}
],
"assignment": {
"ticketTags": [
1
],
"teams": [
1
],
"channels": [
"string"
],
"responseContexts": [
"afterCustomerMessage"
]
},
"liveCoach": {
"enabled": false,
"threshold": 85
},
"createdBy": 1,
"modifiedBy": 1,
"createdAt": "2026-01-01T12:00:00Z",
"modifiedAt": "2026-01-01T12:00:00Z",
"canEdit": true
}403 — Unauthorized
404 — Scorecard not found
500 — Internal error